Groovy Documentation

## org.codehaus.groovy.runtime.memoize
[Java] Class NullProtectionStorage

    java.lang.Object
      org.codehaus.groovy.runtime.memoize.NullProtectionStorage

All Implemented Interfaces:
  ProtectionStorage

    public final class NullProtectionStorage
    extends java.lang.Object

A NullObject pattern implementation for ProtectionStorage Doesn't protect any resources. Used when the user doesn't mind to eventually have the whole memoize cache emptied by gc.

Authors:
  Vaclav Pech

Method Summary
`void` | `touch(java.lang.Object key, java.lang.Object value)` Does nothing

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### touch

    public void touch(java.lang.Object key, java.lang.Object value)

  Does nothing
  Parameters:
    `key` - The key of the element to renew
    `value` - A value to newly associate with the key

Groovy Documentation